Bug 706234 - (CVE-2011-0869) CVE-2011-0869 OpenJDK: unprivileged proxy settings change via SOAPConnection (SAAJ, 7013971)
CVE-2011-0869 OpenJDK: unprivileged proxy settings change via SOAPConnection ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110602,reported=20110518,sou...
: Security
Depends On: 668488 676275 709375 709376 711408 711409 711410 720963 720964 720965
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-19 16:24 EDT by Marc Schoenefeld
Modified: 2015-07-29 08:47 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 08:47:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marc Schoenefeld 2011-05-19 16:24:33 EDT
It was found that untrusted applets and applications could misuse a SOAP connection to incorrectly set global HTTP proxy settings instead of setting them in a local scope. This flaw could be used to intercept HTTP requests.
Comment 7 errata-xmlrpc 2011-06-08 10:32:00 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0856 https://rhn.redhat.com/errata/RHSA-2011-0856.html
Comment 8 errata-xmlrpc 2011-06-08 10:53:56 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0857 https://rhn.redhat.com/errata/RHSA-2011-0857.html
Comment 9 errata-xmlrpc 2011-06-08 11:25:31 EDT
This issue has been addressed in following products:

  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2011:0860 https://rhn.redhat.com/errata/RHSA-2011-0860.html
Comment 11 errata-xmlrpc 2011-07-15 01:57:37 EDT
This issue has been addressed in following products:

  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2011:0938 https://rhn.redhat.com/errata/RHSA-2011-0938.html
Comment 12 errata-xmlrpc 2013-10-23 12:58:05 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html

Note You need to log in before you can comment on or make changes to this bug.